Skip to Content
EIS
API Referencev1Services

Get an Organization Service Option

GET
/v1/service/org/option/{optionOrgId}/{organizationId}

Retrieve a configured service option by identifier and organization. Requires the service_view authority.

Path Parameters

optionOrgId*integer

Organization service option identifier.

organizationId*integer

Organization identifier.

Formatint64

Response Body

Organization service option retrieved successfully.

application/json
  1. response
id?integer

Organization service option identifier.

name?|
Lengthlength <= 100
forDirect?boolean|null
forSub?boolean|null
type?|
Lengthlength <= 10
serviceOption?|null
serviceOrg?|null
organization?|null
Example Request
curl -X GET 'https://api.eis.it/v1/service/org/option/0/0'
Example Response
{  "id": 0,  "name": "string",  "forDirect": true,  "forSub": true,  "type": "string",  "serviceOption": {    "id": 0,    "name": "string"  },  "serviceOrg": {    "id": 0,    "name": "string"  },  "organization": {    "organizationId": 0,    "name": "string"  }}